Problems installing software and/or updates. Heron version 8.04

Derek Broughton news at pointerstop.ca
Mon Oct 6 18:06:55 UTC 2008


Nils Kassube wrote:

> Nigel Henry wrote:
>> I suppose it may have something to do with a newbies fear of the CLI.
>> Normally running dpkg --configure -a fixes the problem,
> 
> No, it doesn't. You need "sudo dpkg --configure -a".

Well, that's not a huge problem.  Newbie types "dpkg --configure -a" and
gets the response "dpkg: requested operation requires superuser privilege". 
If that's _still_ greek to you, you really need to do some RTFM.

But I really have my doubts that there's ever a time when the package
manager should not do this itself.  ime, it's never fatal.  You might get a
message like Nigel's "Package is in a very bad inconsistent state" (which
mostly leads me to wonder what would constitute a _good_ inconsistent
state), but that's still more informative than "it's broken".  There are no
alternatives at this point _but_ to run "dpkg --configure -a", and so it
should always be done when apt discovers the problem.
-- 
derek





More information about the ubuntu-users mailing list